Name:           perl-Crypt-DH
Version:        0.03
Release:        1mdk
License:        GPL or Artistic

%define realname        Crypt-DH
Group:          Development/Perl
Summary:        Diffie-Hellman key exchange system
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{realname}-%{version}.tar.bz2
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel
BuildRequires:  perl-Crypt-Random
Requires:       perl
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
Crypt::DH is a Perl implementation of the Diffie-Hellman key exchange system.
Diffie-Hellman is an algorithm by which two parties can agree on a shared
secret key, known only to them. The secret is negotiated over an insecure
network without the two parties ever passing the actual shared secret, or
their private keys, between them.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Crypt/*.pm
%{_mandir}/*/*

%changelog
* Thu Nov  6 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.03-1mdk
- New package
